<!-- 通知公告-资讯栏目-删除 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading" :refresh="refresh">
        <div class="g-text-message">
            <span>{{ t('notice.newscolumn.delete.tips1') }}</span>
            <span>{{ t('notice.newscolumn.delete.tips2') }}</span>
        </div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { columndelete } from '@/services/api/notice'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Notice.ColumnQueryRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    columndelete({
        data: {
            id: props.record.id,
        }
    }).then(() => {
        ElMessage.success(t('common.tips5'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('common.tips6') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>